<template>
	<view class="">
		<u-notify ref="uNotify" message=""></u-notify>
		<view class="pwd_view">
			<!-- <view class="cancel">
				<image src="../../static/images/close.png" mode=""></image>
			</view> -->
			<view class="" style="font-size: 30rpx;margin-bottom: 42rpx;">
				付费观看
			</view>
			<view class="">
				价格：
				<text style="color: #FF4A43;">￥{{logintype.payment}}</text>
			</view>
			<view class="btn_pwd" @click="go_pay">
				立即支付
			</view>
			<view class="btn_pwd" @click="close">
				取消
			</view>
		</view>
	</view>
</template>

<script>
	export default {

		name: "pay_login",
		mounted() {
		// this.go_pay()
		},
		props: {
			logintype: Object
		},
		data() {
			return {
				pwd: ''
			}
		},
		methods: {
			close(){
				this.$emit("excitpay",false)
			},
			go_pay() {
				var that = this
				this.$api.roomwatchytypepay('WX').then(res => {
					console.log(res.data.data);
					if (res.data.data.url) {
						var num = res.data.data.orderNum
						var parms = res.data.data.url
						var jWeixin = require('jweixin-module')
						jWeixin.config({
						  debug: false,
						  appId: parms.jsapiAppid,
						  timestamp: parms.timeStamp, // 支付签名时间戳，注意微信 jssdk 中的所有使用 timestamp 字段均为小写。但最新版的支付后台生成签名使用的 timeStamp 字段名需大写其中的 S 字符
						  nonceStr: parms.nonceStr, // 支付签名随机串，不长于 32 位
						  package: parms.jsapipackage, // 统一支付接口返回的prepay_id参数值，提交格式如：prepay_id=\*\*\*）
						  signType: parms.signType, // 微信支付V3的传入 RSA ,微信支付V2的传入格式与V2统一下单的签名格式保持一致
						  paySign: parms.paySign, // 支付签名
						});
						jWeixin.chooseWXPay({
							appId: parms.jsapiAppid,
							timestamp: parms.timeStamp, // 支付签名时间戳，注意微信 jssdk 中的所有使用 timestamp 字段均为小写。但最新版的支付后台生成签名使用的 timeStamp 字段名需大写其中的 S 字符
							nonceStr: parms.nonceStr, // 支付签名随机串，不长于 32 位
							package: parms.jsapipackage, // 统一支付接口返回的prepay_id参数值，提交格式如：prepay_id=\*\*\*）
							signType: parms.signType, // 微信支付V3的传入 RSA ,微信支付V2的传入格式与V2统一下单的签名格式保持一致
							paySign: parms.paySign, // 支付签名
							success:function(e){
								that.$refs.uNotify.show({
								    top: 30,
								    type: 'success',
								    message: '支付成功',
								    duration: 1000 * 3,
								    fontSize: 20,
								    safeAreaInsetTop:true
								})
								that.$api.roomwatchytypeverifyPay(num).then(res=>{
									console.log(res);
								})
								setTimeout(() => {
									location.reload()
								}, 1500);
							},
							fail:function(){
								that.$refs.uNotify.show({
								    top: 30,
								    type: 'error',
								    message: '支付失败',
								    duration: 1000 * 3,
								    fontSize: 20,
								    safeAreaInsetTop:true
								})
							},
						});
					}
				})
			},
		},
	}
</script>

<style>
	.pwd_view {
		padding: 45rpx 60rpx;
		text-align: center;
	}

	.btn_pwd {
		margin-top: 80rpx;
		height: 80rpx;
		background: #FF4A43;
		line-height: 80rpx;
		color: #fff;
		border-radius: 40rpx;
	}

	/* 	.cancel{
		margin-top: -20rpx;
		margin-bottom: 50rpx;
		margin-right: -20rpx;
	}
	.cancel image{
		width: 30rpx;
		float: right;
		height: 30rpx;
	} */
</style>
